Skip to main content
POST
/
dev
/
v1
/
orders
/
{id}
/
fulfill
Trigger server-side fulfillment
curl --request POST \
  --url https://api.shoppex.io/dev/v1/orders/{id}/fulfill \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": "Fulfilled by integration"
}
'
{
  "data": {
    "id": "inv_fulfill_1",
    "uniqid": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb",
    "shop_id": "shop_1",
    "customer_id": null,
    "customer_email": "buyer@example.com",
    "affiliate_link_id": null,
    "affiliate_customer_id": null,
    "affiliate_code": null,
    "affiliate_discount_amount": 0,
    "currency": "USD",
    "status": "COMPLETED",
    "status_details": "Fulfilled",
    "payment_status": "COMPLETED",
    "gateway": "MANUAL",
    "flow_type": "MANUAL_CONFIRMATION",
    "provider_reference": "ref_fulfill_1",
    "provider_reference_type": "MANUAL_REFERENCE",
    "subtotal": 19.99,
    "discount": 0,
    "total": 19.99,
    "custom_fields": {
      "customFields": []
    },
    "checkout_url": null,
    "items": [
      {
        "product_id": "prod_1",
        "product_title": "Starter Pack",
        "product_type": "SERVICE",
        "variant_title": null,
        "quantity": 1,
        "unit_price": 19.99,
        "total": 19.99
      }
    ],
    "created_at": 1711956300,
    "updated_at": 1711956360
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Body

note
string
suppress_emails
boolean

Response

Successful response

data
object
required